use strict;
use warnings;

use Test::More;
use DBIx::Class::Storage::DBI;

eval 'use Test::MockObject; 1' || plan skip_all => 'Test::MockObject required for tests';

plan tests => 2;

my $mock = Test::MockObject->new;
$mock->mock(get_info => sub { $_[1] == 17 && 'Microsoft SQL Server' });
$mock->{Driver}{Name} = 'ODBC';

my $storage = DBIx::Class::Storage::DBI->new;
isa_ok ( $storage, 'DBIx::Class::Storage::DBI' );

$storage->connect_info([ sub { return $mock } ]);

$storage->_populate_dbh;
isa_ok ( $storage, 'DBIx::Class::Storage::DBI::ODBC::Microsoft_SQL_Server' );
